Project

Profile

Help

Issue #6438

Pulp 3.2.1 not able to sync to redhat

Added by binlinf0 7 months ago. Updated 7 months ago.

Status:
CLOSED - WORKSFORME
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
4. Urgent
Version:
Platform Release:
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 70
Quarter:

Description

After upgrading from 3.1 to 3.2.1, we no longer able to sync to redhat repo. Below is the errors:

"error": { "description": "[PEM: NO_START_LINE] no start line (_ssl.c:3947)", "traceback": " File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/rq/worker.py", line 884, in perform_job\n rv = job.perform()\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/rq/job.py", line 664, in perform\n self._result = self._execute()\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/rq/job.py", line 670, in _execute\n return self.func(*self.args, **self.kwargs)\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/pulp_rpm/app/tasks/synchronizing.py", line 126, in synchronize\n treeinfo = get_treeinfo_data(remote)\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/pulp_rpm/app/kickstart/treeinfo.py", line 21, in get_treeinfo_data\n downloader = remote.get_downloader(url=urljoin(remote_url, namespace))\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/pulpcore/app/models/repository.py", line 287, in get_downloader\n return self.download_factory.build(url, **kwargs)\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/pulpcore/app/models/repository.py", line 245, in download_factory\n self._download_factory = DownloaderFactory(self)\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/pulpcore/download/factory.py", line 68, in init\n self._session = self._make_aiohttp_session_from_remote()\n File "/opt/utils/venv/pulp/3.7.3/lib64/python3.7/site-packages/pulpcore/download/factory.py", line 85, in _make_aiohttp_session_from_remote\n sslcontext = ssl.create_default_context(cadata=self._remote.ca_cert)\n File "/opt/python/3.7.3/lib64/python3.7/ssl.py", line 573, in create_default_context\n context.load_verify_locations(cafile, capath, cadata)\n"

The works fine before updating to 3.2.1. We also tried overwrite all cert in pulp 3.2.1 and it didn't help.

History

#1 Updated by fao89 7 months ago

  • Triaged changed from No to Yes
  • Sprint set to Sprint 70

#2 Updated by daviddavis 7 months ago

  • Sprint/Milestone set to 3.3.0

#3 Updated by fao89 7 months ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to fao89

#4 Updated by binlinf0 7 months ago

Please cancel this. This is caused by ourselves. We accidentally update the cert with the sha256 after the upgrade. Thanks for look into this.

#5 Updated by dkliban@redhat.com 7 months ago

We recently fixed a bug related to this: https://pulp.plan.io/issues/6402 ... It will be out with the next release.

#6 Updated by dkliban@redhat.com 7 months ago

  • Status changed from ASSIGNED to CLOSED - WORKSFORME

#7 Updated by fao89 7 months ago

  • Assignee deleted (fao89)

Please register to edit this issue

Also available in: Atom PDF